/////////////////////////////////////////////////////////////////////////////
// Name:        About.cpp
// Purpose:     About dialog
// Author:      Alex Thuering
// Created:		6.11.2003
// RCS-ID:      $Id: About.cpp,v 1.5 2004/06/11 10:49:35 ntalex Exp $
// Copyright:  (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#include "About.h"
#include "hyperlink.h"
#include <wxVillaLib/utils.h>
#include <wx/statline.h>

#ifdef __WXMSW__ 
#undef  wxBITMAP
#define wxBITMAP(icon) wxBitmap(icon##_xpm)
#endif

#include "rc/logo.xpm"

About::About(wxWindow* parent): wxDialog(parent, -1, wxEmptyString,
  wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
    // sets the application icon
    SetTitle(_("About ..."));

    // about info
    wxGridSizer* aboutinfo = new wxFlexGridSizer(2, 3, 3);
    aboutinfo->Add(new wxStaticText(this, -1, _("Written by: ")),
	  0, wxALIGN_LEFT);
    aboutinfo->Add(new wxStaticText(this, -1, APP_MAINT),
	  1, wxEXPAND | wxALIGN_LEFT);
    aboutinfo->Add(new wxStaticText(this, -1, _("Version: ")),
	  0, wxALIGN_LEFT);
    aboutinfo->Add(new wxStaticText(this, -1, APP_VERSION),
	  1, wxEXPAND | wxALIGN_LEFT);
    aboutinfo->Add(new wxStaticText(this, -1, _("Licence type: ")),
	  0, wxALIGN_LEFT);
    aboutinfo->Add(new wxStaticText(this, -1, APP_LICENCE),
	  1, wxEXPAND | wxALIGN_LEFT);
    aboutinfo->Add(new wxStaticText(this, -1, _("Copyright: ")),
	  0, wxALIGN_LEFT);
    aboutinfo->Add(new wxStaticText(this, -1, APP_COPYRIGTH),
	  1, wxEXPAND | wxALIGN_LEFT);

    // about title/info
    wxBoxSizer* abouttext = new wxBoxSizer(wxVERTICAL);
    wxStaticText* appname = new wxStaticText(this, -1, APP_NAME);
    appname->SetFont(wxFont(10, wxDEFAULT, wxNORMAL, wxBOLD));
    abouttext->Add(appname, 0, wxALIGN_LEFT);
    abouttext->Add(0, 10);
    abouttext->Add(aboutinfo, 1, wxEXPAND);

    // about icontitle//info
    wxBoxSizer* aboutpane = new wxBoxSizer(wxHORIZONTAL);
    wxBitmap bitmap = wxBITMAP(logo); 
    aboutpane->Add(new wxStaticBitmap(this, -1, bitmap), 0, wxALIGN_LEFT);
    aboutpane->Add(10, 0);
    aboutpane->Add(abouttext, 1, wxEXPAND);

    // about complete
    wxBoxSizer* totalpane = new wxBoxSizer(wxVERTICAL);
    totalpane->Add(aboutpane, 0, wxEXPAND | wxALL, 10);
    totalpane->Add(new wxStaticText(this, -1, _("\
DVDStyler is a crossplatform GUI frontend to the dvd authoring\n\
and recording programs dvdauthor and growisofs.")),
	  0, wxALIGN_CENTER | wxLEFT | wxRIGHT, 10);
    totalpane->Add(0, 6);
    myHyperLink* website = new myHyperLink(this, -1, APP_WEBSITE);
    wxString url = APP_WEBSITE;
    website->SetURL(url);
    totalpane->Add(website, 0, wxALIGN_CENTER);
    totalpane->Add(new wxStaticLine(this, -1), 0, wxEXPAND | wxALL, 10);
    wxButton* okButton = new wxButton(this, wxID_OK, _("OK"));
    okButton->SetDefault();
    totalpane->Add(okButton, 0, wxALIGN_CENTER|wxLEFT|wxRIGHT|wxBOTTOM, 10);

    SetSizerAndFit(totalpane);
	Center();

    ShowModal();
}

