/////////////////////////////////////////////////////////////////////////////
// Name:        BurnDlg.h
// Purpose:     Burn dialog
// Author:      Alex Thuering
// Created:		23.03.2003
// RCS-ID:      $Id: BurnDlg.cpp,v 1.5 2004/08/03 16:02:33 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#include "BurnDlg.h"
#include "Config.h"

BEGIN_EVENT_TABLE(BurnDlg, wxDialog)
  EVT_BUTTON(TEMP_DIR_BT_ID, BurnDlg::OnChooseTempDir)
  EVT_CHECKBOX(ISO_CHECK_ID, BurnDlg::OnIsoCheck)
  EVT_BUTTON(ISO_BT_ID, BurnDlg::OnChooseIsoFile)
  EVT_CHECKBOX(BURN_CHECK_ID, BurnDlg::OnBurnCheck)
  EVT_BUTTON(RESET_BT_ID, BurnDlg::OnReset)
  EVT_BUTTON(wxID_OK, BurnDlg::OnOk)
END_EVENT_TABLE()

BurnDlg::BurnDlg(wxWindow* parent):
 wxDialog(parent, -1, wxEmptyString, wxDefaultPosition, wxDefaultSize,
 wxDEFAULT_DIALOG_STYLE|wxRESIZE_BORDER)
{
    // begin wxGlade: BurnDlg::BurnDlg
    m_tempDirLabel = new wxStaticText(this, -1, _("Temp directory:"));
    m_tempDirText = new wxTextCtrl(this, -1, wxT(""));
    m_tempDirBt = new wxButton(this, TEMP_DIR_BT_ID, _("..."));
    m_previewCheck = new wxCheckBox(this, PREVIEW_CHECK_ID, _("preview"));
    m_isoCheck = new wxCheckBox(this, ISO_CHECK_ID, _("create iso image"));
    m_isoLabel = new wxStaticText(this, -1, _("Save to:"));
    m_isoText = new wxTextCtrl(this, -1, wxT(""));
    m_isoBt = new wxButton(this, ISO_BT_ID, _("..."));
    m_burnCheck = new wxCheckBox(this, BURN_CHECK_ID, _("burn"));
    m_formatCheck = new wxCheckBox(this, -1, _("format DVD-RW"));
    m_deviceLabel = new wxStaticText(this, -1, _("Device:"));
    m_deviceText = new wxTextCtrl(this, -1, wxT(""));
    m_devPanel = new wxPanel(this, -1);
    m_spacer = new wxPanel(this, -1);
    m_startBt = new wxButton(this, wxID_OK, _("Start"));
    m_cancelBt = new wxButton(this, wxID_CANCEL, _("Cancel"));
    m_resetBt = new wxButton(this, RESET_BT_ID, _("Reset"));

    set_properties();
    do_layout();
    // end wxGlade
}

void BurnDlg::set_properties()
{
    // begin wxGlade: BurnDlg::set_properties
    SetTitle(_("Burn"));
    m_tempDirBt->SetSize(wxSize(21, 21));
    m_isoBt->SetSize(wxSize(21, 21));
    m_startBt->SetDefault();
    // end wxGlade
  UpdateCtrls();
#ifdef __WXMSW__
  m_previewCheck->Enable(false);
  m_burnCheck->Enable(false);
  m_formatCheck->Enable(false);
#endif
}

void BurnDlg::do_layout()
{
    // begin wxGlade: BurnDlg::do_layout
    wxBoxSizer* mainSizer = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* btSizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* panelSizer = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* deviceSizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* formatSizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* isoSizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* tempDirSizer = new wxBoxSizer(wxHORIZONTAL);
    tempDirSizer->Add(m_tempDirLabel, 0, wxRIGHT|wxALIGN_CENTER_VERTICAL, 4);
    tempDirSizer->Add(m_tempDirText, 1, 0, 0);
    tempDirSizer->Add(4, 16, 0, 0, 0);
    tempDirSizer->Add(m_tempDirBt, 0, 0, 0);
    panelSizer->Add(tempDirSizer, 1, wxTOP|wxBOTTOM|wxEXPAND, 4);
    panelSizer->Add(m_previewCheck, 0, wxBOTTOM, 6);
    panelSizer->Add(m_isoCheck, 0, 0, 0);
    isoSizer->Add(16, 8, 0, 0, 0);
    isoSizer->Add(m_isoLabel, 0, wxRIGHT|wxALIGN_CENTER_VERTICAL, 4);
    isoSizer->Add(m_isoText, 1, 0, 0);
    isoSizer->Add(4, 16, 0, 0, 0);
    isoSizer->Add(m_isoBt, 0, 0, 0);
    panelSizer->Add(isoSizer, 1, wxTOP|wxBOTTOM|wxEXPAND, 4);
    panelSizer->Add(m_burnCheck, 0, 0, 0);
    formatSizer->Add(16, 8, 0, 0, 0);
    formatSizer->Add(m_formatCheck, 0, wxEXPAND, 0);
    panelSizer->Add(formatSizer, 1, wxEXPAND, 0);
    deviceSizer->Add(16, 8, 0, 0, 0);
    deviceSizer->Add(m_deviceLabel, 0, wxRIGHT|wxALIGN_CENTER_VERTICAL, 4);
    deviceSizer->Add(m_deviceText, 0, wxEXPAND, 0);
    deviceSizer->Add(m_devPanel, 1, wxEXPAND, 0);
    panelSizer->Add(deviceSizer, 1, wxTOP|wxBOTTOM|wxEXPAND, 4);
    mainSizer->Add(panelSizer, 0, wxALL|wxEXPAND, 6);
    mainSizer->Add(m_spacer, 1, wxEXPAND, 0);
    btSizer->Add(50, 20, 1, wxEXPAND, 0);
    btSizer->Add(m_startBt, 0, 0, 0);
    btSizer->Add(10, 20, 0, 0, 0);
    btSizer->Add(m_cancelBt, 0, 0, 0);
    btSizer->Add(10, 20, 0, 0, 0);
    btSizer->Add(m_resetBt, 0, 0, 0);
    btSizer->Add(50, 20, 1, wxEXPAND, 0);
    mainSizer->Add(btSizer, 0, wxLEFT|wxRIGHT|wxBOTTOM|wxEXPAND|wxALIGN_BOTTOM, 10);
    SetAutoLayout(true);
    SetSizer(mainSizer);
    mainSizer->Fit(this);
    mainSizer->SetSizeHints(this);
    Layout();
    Centre();
    // end wxGlade
}

void BurnDlg::UpdateCtrls(bool def)
{
  wxCommandEvent evt;
  m_tempDirText->SetValue(s_config.GetGenerateTemp(def));
  m_previewCheck->SetValue(s_config.GetPreviewDo(def));
  m_isoCheck->SetValue(s_config.GetIsoDo(def)); OnIsoCheck(evt);
  m_isoText->SetValue(s_config.GetIsoSaveTo(def));
  m_burnCheck->SetValue(s_config.GetBurnDo(def)); OnBurnCheck(evt);
  m_formatCheck->SetValue(s_config.GetFormatDo(def));
  m_deviceText->SetValue(s_config.GetBurnDevice(def));
}

void BurnDlg::OnChooseTempDir(wxCommandEvent& event)
{
  wxDirDialog dlg(this, _("Choose a directory"), GetTempDir(),
    wxDD_NEW_DIR_BUTTON);
  if (dlg.ShowModal() != wxID_OK)
    return;
  wxString dir = dlg.GetPath();
  dir += wxFILE_SEP_PATH + wxString(_T("dvd")) + wxFILE_SEP_PATH;
  m_tempDirText->SetValue(dir);  
}

void BurnDlg::OnIsoCheck(wxCommandEvent& event)
{
  m_isoLabel->Enable(DoCreateIso());
  m_isoText->Enable(DoCreateIso());
  m_isoBt->Enable(DoCreateIso());
  if (DoCreateIso())
  {
    m_burnCheck->SetValue(false);
    wxCommandEvent evt;
    OnBurnCheck(evt);
  }
}

void BurnDlg::OnChooseIsoFile(wxCommandEvent& event)
{
  wxFileDialog dlg(this, _("Choose a file to save iso image"),
   wxPathOnly(GetIsoFile()), _T("dvd.iso"), _T("*.iso"), wxSAVE);
  if (dlg.ShowModal() != wxID_OK)
     return;
  m_isoText->SetValue(dlg.GetPath());
}

void BurnDlg::OnBurnCheck(wxCommandEvent& event)
{
  m_formatCheck->Enable(DoBurn());
  m_deviceLabel->Enable(DoBurn());
  m_deviceText->Enable(DoBurn());
  if (DoBurn())
  {
    m_isoCheck->SetValue(false);
    wxCommandEvent evt;
    OnIsoCheck(evt);
  }
}

void BurnDlg::OnReset(wxCommandEvent& event)
{
  UpdateCtrls(true);
}

void BurnDlg::OnOk(wxCommandEvent& event)
{
  s_config.SetGenerateTemp(m_tempDirText->GetValue());
  s_config.SetPreviewDo(m_previewCheck->GetValue());
  s_config.SetIsoDo(m_isoCheck->GetValue());
  s_config.SetIsoSaveTo(m_isoText->GetValue());
  s_config.SetBurnDo(m_burnCheck->GetValue());
  s_config.SetFormatDo(m_formatCheck->GetValue());
  s_config.SetBurnDevice(m_deviceText->GetValue());
  s_config.Flush();
  EndModal(wxID_OK);
}

