/////////////////////////////////////////////////////////////////////////////
// Name:        BurnDlg.h
// Purpose:     Burn dialog
// Author:      Alex Thuering
// Created:		23.03.2003
// RCS-ID:      $Id: BurnDlg.h,v 1.4 2004/08/03 16:02:33 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#include <wx/wx.h>
#include <wx/image.h>

#ifndef BURNDLG_H
#define BURNDLG_H

// begin wxGlade: dependencies
// end wxGlade

class BurnDlg: public wxDialog
{
  public:
    // begin wxGlade: BurnDlg::ids
    enum {
        TEMP_DIR_BT_ID = 2000,
        PREVIEW_CHECK_ID = 2010,
        ISO_CHECK_ID = 2020,
        ISO_BT_ID = 2021,
        BURN_CHECK_ID = 2030,
        RESET_BT_ID = 2050
    };
    // end wxGlade
    BurnDlg(wxWindow* parent);
    wxString GetTempDir() { return m_tempDirText->GetValue(); }
	bool DoPreview() { return m_previewCheck->GetValue(); }
	bool DoCreateIso() { return m_isoCheck->GetValue(); }
	wxString GetIsoFile() { return m_isoText->GetValue(); }
	bool DoBurn() { return m_burnCheck->GetValue(); }
	bool DoFormat() { return m_formatCheck->GetValue(); }
	wxString GetDevice() { return m_deviceText->GetValue(); }

  private:
    // begin wxGlade: BurnDlg::methods
    void set_properties();
    void do_layout();
    // end wxGlade

  protected:
    // begin wxGlade: BurnDlg::attributes
    wxStaticText* m_tempDirLabel;
    wxTextCtrl* m_tempDirText;
    wxButton* m_tempDirBt;
    wxCheckBox* m_previewCheck;
    wxCheckBox* m_isoCheck;
    wxStaticText* m_isoLabel;
    wxTextCtrl* m_isoText;
    wxButton* m_isoBt;
    wxCheckBox* m_burnCheck;
    wxCheckBox* m_formatCheck;
    wxStaticText* m_deviceLabel;
    wxTextCtrl* m_deviceText;
    wxPanel* m_devPanel;
    wxPanel* m_spacer;
    wxButton* m_startBt;
    wxButton* m_cancelBt;
    wxButton* m_resetBt;
    // end wxGlade
	
	void UpdateCtrls(bool def = false);
	void OnChooseTempDir(wxCommandEvent& WXUNUSED(event));
	void OnIsoCheck(wxCommandEvent& WXUNUSED(event));
	void OnChooseIsoFile(wxCommandEvent& WXUNUSED(event));
	void OnBurnCheck(wxCommandEvent& WXUNUSED(event));
	void OnReset(wxCommandEvent& WXUNUSED(event));
	void OnOk(wxCommandEvent& WXUNUSED(event));
	
  private:
    DECLARE_EVENT_TABLE()
};

#endif // BURNDLG_H
