/////////////////////////////////////////////////////////////////////////////
// Name:        ButtonPropDlg.h
// Purpose:     DVD menu button properties dialog
// Author:      Alex Thuering
// Created:		20.11.2003
// RCS-ID:      $Id: ButtonPropDlg.h,v 1.5 2004/03/01 18:46:28 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef BUTTON_PROP_DLG_H
#define BUTTON_PROP_DLG_H

#include <wx/wx.h>
#include <wxVillaLib/PropDlg.h>
#include "DVD.h"

enum ButtonDirCommand
{
	bdNONE, bdLEFT, bdRIGHT, bdUP, bdDOWN
};

class ButtonPropDlg: public PropDlg
{
  public:
    ButtonPropDlg(wxWindow *parent, MenuButton* object, Menu *menu, DVD* dvd);
	virtual ~ButtonPropDlg() {}

  protected:
    MenuButton* m_object;
	Menu* m_menu;
	DVD* m_dvd;
	int m_btInd;

	void CreatePropPanel(wxSizer* sizer);
	void AddDirectionProp( wxSizer* sizer, ButtonDirCommand dir);
	bool SetValues();
};

#endif // BUTTON_PROP_DLG_H
