/////////////////////////////////////////////////////////////////////////////
// Name:        MenuBox.h
// Purpose:     The widget to edit a DVD Menu
// Author:      Alex Thuering
// Created:		11.10.2003
// RCS-ID:      $Id: MenuBox.h,v 1.10 2004/05/08 06:49:07 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef MENUBOX_H
#define MENUBOX_H

#include <wxVillaLib/ImageBox.h>
#include "DVD.h"

typedef enum TransformType
{ ttOut, ttIn, ttTL, ttTR, ttBL, ttBR };

class MenuBox: public wxImageBox
{
  public:
    MenuBox(wxWindow *parent, wxWindowID id = -1);
	
	void  SetMenu(DVD* dvd, Menu* menu);
	Menu* GetMenu() { return m_menu; }
	DVD * GetDVD()	{ return m_dvd;	}
	
	bool SetBackground(wxString fname);
	void SetBackgroundColour(wxColour colour);
	bool AddImage(wxString fname, int x = 0, int y = 0);
	bool AddText(wxString text, int x = 0, int y = 0);
	bool AddButton(wxString fname, int x = 0, int y = 0);
	
	int  GetSelected() { return m_selected; }
	void SetSelected(int index) { m_selected = index; }
	
	int  GetGrid() { return m_grid; }
	void SetGrid(int value) { m_grid = value; }

  protected:
	DVD* 	m_dvd;
	Menu* 	m_menu;
	wxMenu* m_objMenu;
	wxMenu* m_gridMenu;
	wxMenu* m_addMenu;
	wxPoint m_menuPos;
	int 	m_selected;
	int 	m_grid;
	virtual void Paint();
	
    TransformType m_tt;
    int m_oldx, m_oldy;
    TransformType GetTransformType(int x, int y);
    void MoveObject(int& x, int& y);
    void MoveObjectInt(int& x, int& y);
	void ResizeObject(int x, int y, TransformType transformType = ttBR);
    void ResizeObjectInt(int x, int y, TransformType transformType = ttBR);
	
	void OnMouseLeftButton(wxMouseEvent &event);
    void OnMouseMove(wxMouseEvent &event);
	void OnMouseRightButton(wxMouseEvent &event);
	
	void OnProperties(wxCommandEvent& event);
	void OnObjectDelete(wxCommandEvent& event);
    void OnObjectProp(wxCommandEvent& event);
	void OnGridMenu(wxCommandEvent& event);
	void OnAddText(wxCommandEvent& event);
	
    DECLARE_EVENT_TABLE()
};

#endif // MENUBOX_H
