/////////////////////////////////////////////////////////////////////////////
// Name:        MenuPropDlg.cpp
// Purpose:     DVD menu properties dialog
// Author:      Alex Thuering
// Created:     25.04.2004
// RCS-ID:      $Id: MenuPropDlg.cpp,v 1.1 2004/04/25 17:12:34 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#include "MenuPropDlg.h"

MenuPropDlg::MenuPropDlg(wxWindow* parent, Menu* object):
 PropDlg(parent), m_object(object)
{
  Create();
  SetSize(400,-1);
}

void MenuPropDlg::CreatePropPanel(wxSizer* sizer)
{
  wxFlexGridSizer* grid = new wxFlexGridSizer(1, 2, 4, 16);
  grid->AddGrowableCol(1);
  wxArrayString formats = Menu::GetVideoFormatStrings();
  AddComboProp(grid, _("Format:"), formats[m_object->GetVideoFormat()],
   formats, wxCB_READONLY);
  sizer->Add(grid, 0, wxEXPAND|wxALL, 6);
  
  wxSizer* bgSizer = BeginGroup(sizer, _("Background"));
  grid = new wxFlexGridSizer(2, 2, 4, 16);
  grid->AddGrowableCol(1);
  AddTextProp(grid, _("Image:"), m_object->GetBackground());
  AddColourProp(grid, _("Colour:"), m_object->GetBackgroundColour());
  bgSizer->Add(grid, 0, wxEXPAND|wxTOP|wxLEFT|wxRIGHT, 6);
  
  sizer->Add(6,6);
  bgSizer = BeginGroup(sizer, _("Subtitles (buttons)"));
  grid = new wxFlexGridSizer(2, 2, 4, 16);
  grid->AddGrowableCol(1);
  AddTextProp(grid, _("Start time:"), m_object->GetStartTime());
  AddTextProp(grid, _("End time:"), m_object->GetEndTime());
  bgSizer->Add(grid, 0, wxEXPAND|wxALL, 6);
}

bool MenuPropDlg::SetValues()
{
  int n = 0;
  m_object->SetVideoFormat((VideoFormat) GetInt(n++));
  m_object->SetBackground(GetString(n++));
  m_object->SetBackgroundColour(GetColour(n++));
  m_object->SetStartTime(GetString(n++));
  m_object->SetEndTime(GetString(n++));
  return true;
}

