/////////////////////////////////////////////////////////////////////////////
// Name:        ProgressDlg.h
// Purpose:     Progress of generation/burning dialog
// Author:      Alex Thuering
// Created:     14.08.2004
// RCS-ID:      $Id: ProgressDlg.h,v 1.1 2004/08/26 11:31:38 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef PROGRESS_DLG_H
#define PROGRESS_DLG_H

#include "DVD.h"
#include "BurnDlg.h"

// begin wxGlade: dependencies
// end wxGlade

class ProgressDlg: public wxDialog
{
  public:
    // begin wxGlade: ProgressDlg::ids
    // end wxGlade
    ProgressDlg(wxWindow* parent);
    void Start(BurnDlg* burnDlg, DVD* dvd);
    void Update(const wxString& message, bool progress = false,
	  const wxString& details = wxEmptyString, const wxColour& colour = wxNullColour);
    void UpdateDetails(const wxString& message, bool progress = false,
	  const wxColour& colour = wxNullColour);
    void AddDetailText(const wxString& text);
	void Failed(const wxString& message);
	void FailedExec(const wxString& command);
    void End();
    bool IsCanceled();

  protected:
    // begin wxGlade: ProgressDlg::methods
    void set_properties();
    void do_layout();
    // end wxGlade
    // begin wxGlade: ProgressDlg::attributes
    wxStaticText* m_summaryLabel;
    wxTextCtrl* m_summaryText;
    wxGauge* m_summaryGauge;
    wxStaticText* m_detailsLabel;
    wxTextCtrl* m_detailsText;
    wxButton* m_btCancel;
    // end wxGlade
    
    bool m_cancel;
    void OnCancel(wxCommandEvent& WXUNUSED(event));
	
	void Run(BurnDlg* burnDlg, DVD* dvd);
	bool Exec(wxString command,
	  wxString inputFile = wxEmptyString, wxString outputFile = wxEmptyString);
    
  private:
    DECLARE_EVENT_TABLE()
};

#endif // PROGRESS_DLG_H
