/////////////////////////////////////////////////////////////////////////////
// Name:        TextPropDlg.cpp
// Purpose:     DVD menu text properties dialog
// Author:      Alex Thuering
// Created:     6.01.2004
// RCS-ID:      $Id: TextPropDlg.cpp,v 1.2 2004/03/01 18:45:31 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#include "TextPropDlg.h"

TextPropDlg::TextPropDlg(wxWindow* parent, MenuText* object):
 PropDlg(parent), m_object(object)
{
  Create();
}

void TextPropDlg::CreatePropPanel(wxSizer* sizer)
{
  wxFlexGridSizer* grid = new wxFlexGridSizer(2, 2, 4, 16);
  AddTextProp(grid, _("Text:"), m_object->GetText());
  AddFontProp(grid, _("Font:"), m_object->GetFont());
  AddColourProp(grid, _("Colour:"), m_object->GetColour());
  grid->AddGrowableCol(1);
  sizer->Add(grid, 0, wxEXPAND|wxALL, 10);
}

bool TextPropDlg::SetValues()
{
  m_object->SetText(GetString(0));
  m_object->SetFont(GetFont(1).GetChosenFont());
  m_object->SetColour(GetColour(2));
  return true;
}

