/////////////////////////////////////////////////////////////////////////////
// Name:        TitlePropDlg.cpp
// Purpose:     DVD title properties dialog
// Author:      Alex Thuering
// Created:     31.01.2004
// RCS-ID:      $Id: TitlePropDlg.cpp,v 1.4 2004/08/01 21:43:28 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#include "TitlePropDlg.h"

TitlePropDlg::TitlePropDlg(wxWindow* parent, DVD* dvd, Pgc* pgc, Vob* vob):
 PropDlg(parent), m_dvd(dvd), m_pgc(pgc), m_vob(vob)
{
  Create();
  SetSize(360,-1);
}

void TitlePropDlg::CreatePropPanel(wxSizer* sizer)
{
  wxFlexGridSizer* grid = new wxFlexGridSizer(2, 2, 4, 16);
  AddTextProp(grid, _("Vob Chapters:"), m_vob->GetChapters());
  AddTextProp(grid, _("Vob Pause:"), wxString::Format(_T("%d"),m_vob->GetPause()));
  
  wxArrayString commands;
  commands.Add(_T("call vmgm menu 1;"));
  for (int tsi=0; tsi<(int)m_dvd->GetTitlesets().Count(); tsi++)
  {
	Titleset* ts = m_dvd->GetTitlesets()[tsi];
	for (int pgci=0; pgci<(int)ts->GetTitles().GetPgcs().Count(); pgci++)
	  commands.Add(wxString::Format(_T("jump title %d;"),pgci+1));
  }
  AddComboProp(grid, _("Title Pre commands:"), m_pgc->GetPreCommands(), commands);
  AddComboProp(grid, _("Title Post commands:"), m_pgc->GetPostCommands(), commands);
  grid->AddGrowableCol(1);
  sizer->Add(grid, 0, wxEXPAND|wxALL, 10);
}

bool TitlePropDlg::SetValues()
{
  m_vob->SetChapters(GetString(0));
  long pause;
  if (!GetString(1).ToLong(&pause))
	pause = 0;
  m_vob->SetPause(pause);
  m_pgc->SetPreCommands(GetString(2));
  m_pgc->SetPostCommands(GetString(3));
  return true;
}

