/////////////////////////////////////////////////////////////////////////////
// Name:        TitleThumbnails.h
// Purpose:     Title thumbnails
// Author:      Alex Thuering
// Created:		27.01.2003
// RCS-ID:      $Id: TitleThumbnails.h,v 1.3 2004/05/17 07:00:42 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef TITLE_THUMBNAILS_H
#define TITLE_THUMBNAILS_H

#include <wxVillaLib/Thumbnails.h>
#include "DVD.h"

class TitleThumbnails: public wxThumbnails
{
  public:
    TitleThumbnails(wxWindow* parent, int id);
    ~TitleThumbnails();
	
	void SetDVD(DVD* dvd);
	DVD* GetDVD() { return m_dvd; }
	
	void InsertTitle(wxString fname, int pos = -1);

  protected:
	DVD* m_dvd;
    void DrawThumbnail(wxBitmap& bmp, wxThumb& thumb, int index);
    void UpdateShow(); // external: use public method UpdateItems
	void OnTitleDelete(wxCommandEvent& event);
	void OnTitleProps(wxCommandEvent& event);
  
  private:
    DECLARE_EVENT_TABLE()
};

BEGIN_DECLARE_EVENT_TYPES()
  DECLARE_EVENT_TYPE(EVT_COMMAND_DVD_CHANGED, 3300)
END_DECLARE_EVENT_TYPES()

#define EVT_DVD_CHANGED(id, fn)\
 DECLARE_EVENT_TABLE_ENTRY(EVT_COMMAND_DVD_CHANGED, id,\
 wxID_ANY,\
 (wxObjectEventFunction) (wxEventFunction) (wxCommandEventFunction)& fn, NULL),

#endif // TITLE_THUMBNAILS_H
